from django import forms


from djadhere.utils import StringWidget
from .models import Adhesion, Corporation, User


class UserCreationForm(forms.ModelForm):

    class Meta:
        model = User
        fields = ('first_name', 'last_name', 'username',)

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['first_name'].required = True
        self.fields['last_name'].required = True
        self.fields['username'].required = False


class AdhesionForm(forms.ModelForm):
    adhesion = forms.BooleanField(label='Adhérent ?', required=False)

    class Meta:
        model = Adhesion
        exclude = ()

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        if self.instance.id:
            self.fields['adhesion'].initial = True
            self.fields['adhesion'].widget.attrs['readonly'] = True
